Results 1 to 3 of 3

Thread: How to change Multileader Oblique Angle

  1. #1
    Member
    Join Date
    2020-04
    Posts
    2
    Login to Give a bone
    0

    Default How to change Multileader Oblique Angle

    Need help getting vla-put-obliqueangle to work. I have searched the internet for hours and can't find an answer that I understand. I can write simple routines but this one is over my head. Thanks

    (defun c:fixmleader ( / ent obj)
    (vl-load-com)
    (princ "\nSelect Multileader: ")
    (if (setq ent (ssget '((0 . "MULTILEADER"))))
    (progn
    (setq obj (vlax-ename->vla-object (ssname ent 0)))
    (progn
    (vla-put-arrowheadsize obj 0.0
    (vla-put-dogleglength obj 0.125)
    (vla-put-landinggap obj 0.09)
    (vla-put-blockscale obj 1.0)
    (vla-put-scalefactor obj ds)
    (vla-put-textheight obj 0.10)
    (vla-put-obliqueangle obj 20.0)
    )
    )
    )
    (princ)
    )

  2. #2
    Active Member
    Join Date
    2015-12
    Location
    Western Europe
    Posts
    57
    Login to Give a bone
    0

    Default Re: How to change Multileader Oblique Angle

    Unfortunately MultiLeaders do not have an obliqueangle property. This is a property of the MultiLeader Textstyle. They also don't have a blockscale property, at least on my version (2012)

    Your two options are make a text style with the required obliquing angle and change the text style or; as the text is MText, make an MText object and give it the required obliquing angle. By extracting the text string from Mtext object you will find what the required in string format code is. If you forget the curly braces then it's should be a simple matter of

    Code:
    (vlax-put-property obj 'textstring (strcat "{" "format code" (vlax-get-property obj 'textstring) "}"))
    Where "format code" is of the form "\\???;"

    If you want to find out properties and applicable methods of objects use

    Code:
    (vlax-dump-object (vlax-ename->vla-object (car (entsel "\nSelect Object to Dump : "))) T)
    Last edited by dlanor; 2020-04-24 at 08:30 PM.

  3. #3
    Member
    Join Date
    2020-04
    Posts
    2
    Login to Give a bone
    0

    Default Re: How to change Multileader Oblique Angle

    Okay - Thanks for the information.

Similar Threads

  1. 2013: Oblique Arrowhead on Multileader plots regardless.
    By Gabriel Black in forum AutoCAD Plotting
    Replies: 2
    Last Post: 2013-03-07, 08:49 AM
  2. Change Oblique angle of text in Block
    By samir.joshi in forum AutoLISP
    Replies: 1
    Last Post: 2009-07-09, 12:15 PM
  3. Label Curve Oblique Angle
    By trnoles in forum AMEP General
    Replies: 1
    Last Post: 2008-06-09, 02:05 PM
  4. Custom Linetype not seeing oblique text angle
    By SRBalliet in forum AutoCAD Customization
    Replies: 7
    Last Post: 2007-04-09, 07:15 PM
  5. Change Attribute Text to oblique angle
    By bryanf in forum AutoCAD General
    Replies: 1
    Last Post: 2006-01-26, 04:39 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •